summaryrefslogtreecommitdiffstats
path: root/audio/ocp
diff options
context:
space:
mode:
Diffstat (limited to 'audio/ocp')
-rw-r--r--audio/ocp/README3
-rw-r--r--audio/ocp/doinst.sh15
-rw-r--r--audio/ocp/ocp.SlackBuild65
-rw-r--r--audio/ocp/ocp.info8
-rw-r--r--audio/ocp/slack-desc19
5 files changed, 110 insertions, 0 deletions
diff --git a/audio/ocp/README b/audio/ocp/README
new file mode 100644
index 0000000000..572fd5f3b6
--- /dev/null
+++ b/audio/ocp/README
@@ -0,0 +1,3 @@
+Open Cubic Player is a music file player. It is derived from Cubic Player 2.0
+which was developed by Niklas Beisert. It can play MOD, IT, S3M, XM and many
+other formats.
diff --git a/audio/ocp/doinst.sh b/audio/ocp/doinst.sh
new file mode 100644
index 0000000000..2639e182df
--- /dev/null
+++ b/audio/ocp/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ocp.ini.new
+
diff --git a/audio/ocp/ocp.SlackBuild b/audio/ocp/ocp.SlackBuild
new file mode 100644
index 0000000000..1cff1865a5
--- /dev/null
+++ b/audio/ocp/ocp.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for Open Cubic Player
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=ocp
+VERSION=0.1.16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | egrep "ELF.*shared object" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/etc
+mv $PKG/usr/share/$PRGNAM-$VERSION/etc/ocp.ini $PKG/etc/ocp.ini.new
+rmdir $PKG/usr/share/$PRGNAM-$VERSION/etc/
+
+rm -f $PKG/usr/info/dir
+
+mv $PKG/usr/share/doc $PKG/usr/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/ocp/ocp.info b/audio/ocp/ocp.info
new file mode 100644
index 0000000000..f6e5bb8ea2
--- /dev/null
+++ b/audio/ocp/ocp.info
@@ -0,0 +1,8 @@
+PRGNAM="ocp"
+VERSION="0.1.16"
+HOMEPAGE="http://stian.cubic.org/project-ocp.php"
+DOWNLOAD="http://stian.cubic.org/ocp/ocp-0.1.16.tar.bz2"
+MD5SUM="9b2e0f4d7ddf7bc39ec026ef80187c8a"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/audio/ocp/slack-desc b/audio/ocp/slack-desc
new file mode 100644
index 0000000000..8b2308614a
--- /dev/null
+++ b/audio/ocp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------------|
+ocp: Open Cubic Player (A module format music file player)
+ocp:
+ocp: OPENCP is a music file player. It is derived from Cubic Player 2.0 which
+ocp: was developed by Niklas Beisert. It can play MOD, IT, S3M, XM and many
+ocp: other formats.
+ocp:
+ocp: Homepage: http://stian.lunafish.org/project-ocp.php
+ocp:
+ocp:
+ocp:
+ocp: